commit: c7b146ac346a4e3f09e471a439c1181204652021
Author: Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 17 00:28:16 2024 +0000
Commit: Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Wed Jan 17 01:29:28 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7b146ac
sys-apps/restorecond: bump to 3.6
Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>
sys-apps/restorecond/Manifest | 1 +
sys-apps/restorecond/restorecond-3.6.ebuild | 53 +++++++++++++++++++++++++++++
2 files changed, 54 insertions(+)
diff --git a/sys-apps/restorecond/Manifest b/sys-apps/restorecond/Manifest
index 49a27c18e262..c48a0b0fc5a8 100644
--- a/sys-apps/restorecond/Manifest
+++ b/sys-apps/restorecond/Manifest
@@ -1 +1,2 @@
DIST restorecond-3.5.tar.gz 19070 BLAKE2B
6db7d0fc9085a07669d346e025836a94acca610572e986e2c90974b0bd21b55e66b57a2dafd7d42011bed5f06363b654f5431ac43530fccf7b68d3edd9d63850
SHA512
80cb84e62c7072a12fe57ebaafc0bcb441c853862c67f9ea35b86faa2d8e49ea22a70b9e05a3ff24e8ce08ca2999604d7961efd534f89167cd6fcb05c852de40
+DIST restorecond-3.6.tar.gz 18020 BLAKE2B
306b4a7c9990c0b2f229cc7963dbd0481df5f9fbecd709b37d254839177fc604f6f85ac19235209f4fbb12d9186f01dd71a11f98deca5d01bd70c415240ddf5a
SHA512
e21fa23bfea488f2bddd01b4bab353f22863e09247078e47db9852995d7a0153aee6483cbeaaaf033b482b60f80affad0b6a3e829f935c3901c034a7efb1ebef
diff --git a/sys-apps/restorecond/restorecond-3.6.ebuild
b/sys-apps/restorecond/restorecond-3.6.ebuild
new file mode 100644
index 000000000000..794b84bc99e8
--- /dev/null
+++ b/sys-apps/restorecond/restorecond-3.6.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit systemd toolchain-funcs
+
+MY_PV="${PV//_/-}"
+MY_P="${PN}-${MY_PV}"
+
+if [[ ${PV} == *9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/SELinuxProject/selinux.git"
+ S="${WORKDIR}/${P}/${PN}"
+else
+
SRC_URI="https://github.com/SELinuxProject/selinux/releases/download/${MY_PV}/${MY_P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~mips ~x86"
+ S="${WORKDIR}/${MY_P}"
+fi
+
+DESCRIPTION="Daemon to watch for creation and set default SELinux fcontexts"
+HOMEPAGE="https://github.com/SELinuxProject/selinux/wiki"
+
+LICENSE="GPL-2"
+SLOT="0"
+
+DEPEND="dev-libs/glib:2
+ >=sys-libs/libsepol-${PV}:=
+ >=sys-libs/libselinux-${PV}:="
+
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+
+ sed -i 's/-Werror//g' "${S}"/Makefile || die "Failed to remove Werror"
+}
+
+src_compile() {
+ tc-export CC
+ default
+}
+
+src_install() {
+ emake DESTDIR="${D}" \
+ SYSTEMDSYSTEMUNITDIR="$(systemd_get_systemunitdir)" \
+ SYSTEMDUSERUNITDIR=$(systemd_get_userunitdir) \
+ install
+
+ rm -rf "${D}/etc/rc.d" || die
+
+ newinitd "${FILESDIR}/restorecond.init" restorecond
+}